
Redmine - Patch #31035

Remove redefinition of ActionMailer::LogSubscriber#deliver which is no longer necessary because

of the removal of Setting.bcc_recipients

2019-03-17 05:00 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

If the patch #30820 that drops "Blind carbon copy recipients (bcc)" setting is accepted, we can remove the workaround for #12090

that fixes the issue that email recipients are not logged when the setting is enabled, because emails will always be sent using To.

diff --git a/config/initializers/10-patches.rb b/config/initializers/10-patches.rb

index e0559903b..a42b91e4c 100644

--- a/config/initializers/10-patches.rb

+++ b/config/initializers/10-patches.rb

@@ -122,24 +122,6 @@ end

 ActionMailer::Base.add_delivery_method :tmp_file, DeliveryMethods::TmpFile

-# Changes how sent emails are logged

-# Rails doesn't log cc and bcc which is misleading when using bcc only (#12090)

-module ActionMailer

-  class LogSubscriber < ActiveSupport::LogSubscriber

-    def deliver(event)

-      recipients = [:to, :cc, :bcc].inject(+"") do |s, header|

-        r = Array.wrap(event.payload[header])

-        if r.any?

-          s << "\n  #{header}: #{r.join(', ')}" 

-        end

-        s

-      end

-      info("\nSent email \"#{event.payload[:subject]}\" (%1.fms)#{recipients}" % event.duration)

-      debug(event.payload[:mail])

-    end

-  end

-end

-

 module ActionController

   module MimeResponds

     class Collector

Related issues:

Related to Redmine - Defect #12090: email recipients not written to action_ma... Closed

Blocked by Redmine - Feature #30820: Drop setting "Blind carbon copy recipien... Closed

Associated revisions

Revision 21197 - 2021-08-19 15:53 - Go MAEDA

Remove redefinition of ActionMailer::LogSubscriber#deliver which is no longer necessary because of the removal of Setting.bcc_recipients. (#31035).

History

#1 - 2019-03-17 05:01 - Go MAEDA

- Blocked by Feature #30820: Drop setting "Blind carbon copy recipients (bcc)" added

#2 - 2021-08-01 19:27 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 5.0.0

2025-05-01 1/2

https://www.redmine.org/issues/30820
https://www.redmine.org/issues/12090


#3 - 2021-08-19 15:54 - Go MAEDA

- Subject changed from Remove the workaround for #12090 to Remove redefinition of ActionMailer::LogSubscriber#deliver which is no longer

necessary because of the removal of Setting.bcc_recipients

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#4 - 2021-08-19 15:56 - Go MAEDA

- Related to Defect #12090: email recipients not written to action_mailer log if BCC recipients setting is checked added
